{
  "factory": {
    "id": "aggregation-strategy-camel-string",
    "type": "entaxy.runtime.route.component.aggregation.strategy",
    "displayName": "STRING",
    "description": "Aggregate result of pick expression into a single combined Exchange holding all the aggregated bodies in a String as the message body.",
    "isAbstract": false,
    "parent": "abstract-aggregation-strategy-camel-simple",
    "label": "",
    "category": ""
  },
  "entaxy.runtime.route.component.aggregation.strategy": {
  	"className": "org.apache.camel.processor.aggregate.EntaxyStringAggregationStrategy",
  	"beanId": "aggregation-strategy-string"
  },
  "fields": {
    "delimiter": {
      "displayName": "Delimiter",
      "type": "String",
      "description": "Set delimiter used for joining aggregated. The delimiter to join with. Default empty String",
      "required": false
    }
  },
  "outputs": {
    "init": {
      "fields": {
        "delimiter": {}
      }
    }
  }
}
